OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.MESA.WindowPos

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetMESAWindowPos :: MonadIO m => m Bool
- gl_MESA_window_pos :: Bool
- glWindowPos2dMESA :: MonadIO m => GLdouble -> GLdouble -> m ()
- glWindowPos2dvMESA :: MonadIO m => Ptr GLdouble -> m ()
- glWindowPos2fMESA :: MonadIO m => GLfloat -> GLfloat -> m ()
- glWindowPos2fvMESA :: MonadIO m => Ptr GLfloat -> m ()
- glWindowPos2iMESA :: MonadIO m => GLint -> GLint -> m ()
- glWindowPos2ivMESA :: MonadIO m => Ptr GLint -> m ()
- glWindowPos2sMESA :: MonadIO m => GLshort -> GLshort -> m ()
- glWindowPos2svMESA :: MonadIO m => Ptr GLshort -> m ()
- glWindowPos3dMESA :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glWindowPos3dvMESA :: MonadIO m => Ptr GLdouble -> m ()
- glWindowPos3fMESA :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glWindowPos3fvMESA :: MonadIO m => Ptr GLfloat -> m ()
- glWindowPos3iMESA :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glWindowPos3ivMESA :: MonadIO m => Ptr GLint -> m ()
- glWindowPos3sMESA :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glWindowPos3svMESA :: MonadIO m => Ptr GLshort -> m ()
- glWindowPos4dMESA :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glWindowPos4dvMESA :: MonadIO m => Ptr GLdouble -> m ()
- glWindowPos4fMESA :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glWindowPos4fvMESA :: MonadIO m => Ptr GLfloat -> m ()
- glWindowPos4iMESA :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glWindowPos4ivMESA :: MonadIO m => Ptr GLint -> m ()
- glWindowPos4sMESA :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glWindowPos4svMESA :: MonadIO m => Ptr GLshort -> m ()

# Extension Support

glGetMESAWindowPos :: MonadIO m => m Bool Source #

Is the MESA_window_pos extension supported?

gl_MESA_window_pos :: Bool Source #

Is the MESA_window_pos extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetMESAWindowPos` in those cases instead.

# Functions

glWindowPos2dMESA Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glWindowPos2dvMESA`. This command is an alias for `glWindowPos2d`.

glWindowPos2dvMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

This command is an alias for `glWindowPos2dv`.

glWindowPos2fMESA Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glWindowPos2fvMESA`. This command is an alias for `glWindowPos2f`.

glWindowPos2fvMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

This command is an alias for `glWindowPos2fv`.

glWindowPos2iMESA Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> m () |

The vector equivalent of this command is `glWindowPos2ivMESA`. This command is an alias for `glWindowPos2i`.

glWindowPos2ivMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

This command is an alias for `glWindowPos2iv`.

glWindowPos2sMESA Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> m () |

The vector equivalent of this command is `glWindowPos2svMESA`. This command is an alias for `glWindowPos2s`.

glWindowPos2svMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

This command is an alias for `glWindowPos2sv`.

glWindowPos3dMESA Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glWindowPos3dvMESA`. This command is an alias for `glWindowPos3d`.

glWindowPos3dvMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

This command is an alias for `glWindowPos3dv`.

glWindowPos3fMESA Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glWindowPos3fvMESA`. This command is an alias for `glWindowPos3f`.

glWindowPos3fvMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

This command is an alias for `glWindowPos3fv`.

glWindowPos3iMESA Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> m () |

The vector equivalent of this command is `glWindowPos3ivMESA`. This command is an alias for `glWindowPos3i`.

glWindowPos3ivMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

This command is an alias for `glWindowPos3iv`.

glWindowPos3sMESA Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> m () |

The vector equivalent of this command is `glWindowPos3svMESA`. This command is an alias for `glWindowPos3s`.

glWindowPos3svMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

This command is an alias for `glWindowPos3sv`.

glWindowPos4dMESA Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> GLdouble | `w` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glWindowPos4dvMESA`.

glWindowPos4dvMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `4` elements of type `CoordD`.
-> m () |

glWindowPos4fMESA Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> GLfloat | `w` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glWindowPos4fvMESA`.

glWindowPos4fvMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `4` elements of type `CoordF`.
-> m () |

glWindowPos4iMESA Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> GLint | `w` of type `CoordI`.
-> m () |

The vector equivalent of this command is `glWindowPos4ivMESA`.

glWindowPos4ivMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `4` elements of type `CoordI`.
-> m () |

glWindowPos4sMESA Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> GLshort | `w` of type `CoordS`.
-> m () |

The vector equivalent of this command is `glWindowPos4svMESA`.

glWindowPos4svMESA Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `4` elements of type `CoordS`.
-> m () |